#!/usr/bin/env python

from FITS import *
from basics import *

def spRow(F,row):
    data = []
    print "Reading",F.name()
    for j in range(2):
      F.goto(j+1)
      d = F.row(row).astype(Float32)
      data.append(d)
    data[1] = divz(1,sqrt(data[1]))
    data = asarray(data)
    print data.shape
    F.goto(1)
    G = FITS("t%03d.fits" % (row),create=1)
    print "Writing",G.name()
    G.copyheader(F)
    G.resize([data.shape[1],data.shape[0]])
    G.putdata(data)
    G.close()

fitsfile = argv[1]
F = FITS(fitsfile)  
[spRow(F,row) for row in range(F.data().shape[0])]
F.close()
