
files = ["adjust-map.par","align-mask-start.par","biasflat.par","extract-2dspec.par",\
        "map-spectra.par", "Sflats.par","subsky-galaxy.par","subsky-star.par"]

adjustmap="""SEARCH_HEIGHT,i,h,5,,,"half height of search range"
SEARCH_WIDTH,i,h,5,,,"half-width of search range"
SLIT_WIDTH,i,h,4,,,"slit width"
ORD_DISP,i,h,5,,,"order of dispersion error fit"
ORD_SAG,i,h,1,,,"order of spectrum y position error fit"
MINLINES,i,h,5,,,"minimum # of lines for tweak"
LINELIST,f,h,"HeNeAr.dat",,,"line list file"
MAGFACTOR,i,h,100,,,"magnifcation factor of error vector plot"
mode,s,h,"q1",,,"""

alignmaskstart="""SEARCHBOX,i,h,30,,,"half width of search range"
MAGFACTOR,i,h,100,,,"magnification factor for offset vectors"
LAMFILE,s,h,"afea.dat",,,"line list file"
NAVER,i,h,1,,,"number of neighboring points to average is plot"
mode,s,h,"q1",,,"""

biasflat="""flat_file,s,h,"none",,,"flat field frame"
bias_file,s,h,"none",,,"bias frame"
gain1,r,h,0.820000,,,"chip1 gain"
gain2,r,h,0.850000,,,"chip2 gain"
gain3,r,h,0.870000,,,"chip3 gain"
gain4,r,h,1.130000,,,"chip4 gain"
gain5,r,h,0.770000,,,"chip5 gain"
gain6,r,h,0.930000,,,"chip6 gain"
gain7,r,h,0.920000,,,"chip7 gain"
gain8,r,h,0.800000,,,"chip8 gain"
mode,s,h,"q1",,,"""

extract2dspec="""deltalam,r,h,2.000000,,,"wavelength step"
deltaslit,r,h,0.200000,,,"slit postion interval in arcseconds"
telscale,r,h,3.000000,,,"telescope scale sec per mm"
search,i,h,0,,,"half width of search region"
minlambda,r,h,3500.000000,,,"min wavelength of extraction"
maxlambda,r,h,10000.000000,,,"max wavelength of extraction"
mode,s,h,"q1",,,"""

mapspectra="""sagorder,i,h,5,,,"order of spec sag fit"
minlambda,r,h,3500.000000,,,"minimum wavelength"
minpixl,i,h,200,,,"minimum # pixels/spectrum"
maxlambda,r,h,10000.000000,,,"maximum wavelength"
disorder,i,h,5,,,"order of dispersion fit"
tiltorder,i,h,3,,,"order of tilt fit"
sagitorder,i,h,3,,,"order of sagitta fit"
slenorder,i,h,3,,,"order of slit length fit"
use_holes,b,h,y,,,"map holes as well as slits?"
mode,s,h,"q1",,,"""

sflats="""minlambda,r,h,3500.000000,,,"min wavelength of extraction"
maxlambda,r,h,10000.000000,,,"max wavelength of extraction"
telscale,r,h,3.000000,,,"telescope scale sec per mm"
bias_file,s,h,"none",,,"bias level file"
clean,b,h,n,,,"remove cosmic rays?"
siglimit,r,h,4.000000,,,"CR rejection threshold in sigmas"
noise,r,h,3.000000,,,"CCD read noise"
gain,r,h,1.300000,,,"CCD gain"
order,i,h,5,,,"order of flat intensity fit"
fit_mode,s,h,"median",,,"method of spectrum fitting"
med_box,i,h,100,,,"size of sky fit median box"
mode,s,h,"q1",,,"""

subskygalaxy="""minlambda,r,h,3500.000000,,,"min wavelength of extraction"
maxlambda,r,h,10000.000000,,,"max wavelength of extraction"
exclude,i,h,5,,,"half width of exclusion region around objknot interval, in pixels"
deltaknot,r,h,1.000000,,,"knot interval, in pixels"
splineorder,i,h,3,,,"order of spline fit to sky"
medbox,i,h,15,,,"boxsize for running median CR rejection"
siglimit,r,h,10.000000,,,"CR rejection threshold in sigmas"
noise,r,h,3.000000,,,"CCD read noise"
gain,r,h,1.300000,,,"CCD gain"
mode,s,h,"q1",,,"""

subskystar="""minlambda,r,h,3500.000000,,,"min wavelength of extraction"
maxlambda,r,h,10000.000000,,,"max wavelength of extraction"
exclude,i,h,5,,,"half width of exclusion region around objknot interval, in pixels"
deltaknot,r,h,1.000000,,,"knot interval, in pixels"
splineorder,i,h,3,,,"order of spline fit to sky"
medbox,i,h,5,,,"boxsize for running median CR rejection"
siglimit,r,h,10.000000,,,"CR rejection threshold in sigmas"
noise,r,h,3.000000,,,"CCD read noise"
gain,r,h,1.300000,,,"CCD gain"
mode,s,h,"q1",,,"""

